$compile unit

$error all-
$lib all-

defint a-z


'VidAddr - Returns segment of video address

FUNCTION VidAddr% PUBLIC
   DEF SEG=0
	 Videotmp%=PEEK(&h449)
	 IF Videotmp%=7 THEN Videotmp%=&hB000 ELSE Videotmp%=&hB800
	 DEF SEG
	 REG 9, Videotmp%
	 REG 6, 0
	 REG 3, &h4455
	 REG 4, &h5351
	 REG 1, &h2B01
	 CALL INTERRUPT &h21
	 REG 1, &hFEFF
	 CALL INTERRUPT &H10
	 VidAddr%=REG(9)+REG(6)
END FUNCTION



'VidMode - Returns video mode currently active

FUNCTION VidMode% PUBLIC
  REG 1, &H0F00
  CALL INTERRUPT &H10
  VidMode% = REG(1) AND &H0F
END FUNCTION