FUNCTION FileAttrib% PUBLIC
  CALL GetDTA(DtaSeg%, DtaOfs%)   'Get DTA address. (See SUB GetDTA
				  '                  in this unit.)
  DEF SEG=DtaSeg%                 'Set segment to DTA address segment.
    FileAttrib%=PEEK(DtaOfs%+21)  'Use PEEK to retrieve attribute byte.
  DEF SEG                         'Return previous value of segment.
END FUNCTION


SUB GetDTA(DtaSeg%, DtaOfs%) PUBLIC
  REG 1, &h2F00            ' Set function number to 47.
  CALL INTERRUPT &h21      ' Call interrupt 33 (Hex 21).
  DtaSeg%=REG(9)           ' Register 9 contains Segment of DTA address.
  DtaOfs%=REG(2)           ' Register 2 contains Offset of DTA address
END SUB