$compile unit

$error all-
$lib all-

defint a-z

'-----------------------------------------------------------------------
'
' fnformatdate$     formats a DOS date stamp into a string
'
' input parameters:
'
'    date%           DOS date stamp to be formatted
'
' function returns: date formatted as MM/DD/YY (8 character string)
'
FUNCTION formatdate$(date%)  PUBLIC
      local y%,m%,d%,i%
      local x$

      y% = (date%\512 + 1980) mod 100
      m% = date%\32 mod 16
      d% = date% mod 32
      x$ = right$(str$(m%),2)+"/"+right$(str$(d%),2)+"/"+right$(str$(y%),2)
      for i% = 2 to len(x$)              ' note: leave first leading blank
         if mid$(x$,i%,1)=" " then mid$(x$,i%,1) = "0"
      next i%
      formatdate$ = x$
end fUNCTION