$compile unit

$error all-
$lib all-

defint a-z


'Ŀ
' FUNCTION ValidFileName%(fspec$)                                        
'    Returns true (-1) or false (0) indicating FSPEC$ is valid filename  
'    DOES NOT indicate whether file or path exists, only valid form.     
'

   FUNCTION ValidFileName%(fspec$) PUBLIC
      LOCAL i%,j%,temp$,fil$,ext$,invalid$
      ValidFileName%=0
      IF fspec$="" THEN EXIT FUNCTION
      invalid$="?*/[]|<>+=;,"+CHR$(34)
      FOR i%=0 TO 32 : invalid$=invalid$+CHR$(i%) : NEXT
      temp$=fspec$
'scan for invalid characters (except :, \ and . )
      FOR i%=1 TO LEN(invalid$)
         IF INSTR(temp$,MID$(invalid$,i%,1))<>0 THEN
            EXIT FUNCTION
         END IF
      NEXT
'check for single-character drive designator
      i%=INSTR(temp$,":")
      IF i%<>0 AND i%<>2 THEN EXIT FUNCTION
      IF i%=2 THEN
         drive$=UCASE$(MID$(temp$,1,1))
         IF drive$<"A" OR drive$>"Z" THEN EXIT FUNCTION
      END IF
      temp$=MID$(temp$,i%+1)
      IF MID$(temp$,1,1)="\" THEN temp$=MID$(temp$,2)
'scan over path; check for consecutive \'s
      DO
         i%=INSTR(temp$,"\") : IF i%=1 THEN EXIT FUNCTION   ' found "\\"
         IF i%<>0 THEN
            path$=MID$(temp$,1,i%)
            IF path$<>"." AND path$<>".." THEN         ' dir abbrev Ok
               j%=INSTR(path$,".")
               IF j%=0 THEN
                  IF LEN(path$)>8 THEN EXIT FUNCTION
               ELSE
                  IF j%>9 OR (LEN(path$)-j%)>3 THEN EXIT FUNCTION
               END IF
               temp$=MID$(temp$,i%+1)
            END IF
         END IF
      LOOP WHILE i%<>0
'split remaining temp$ into fil$ and ext$
      i%=INSTR(temp$,".")
      IF i%=0 THEN
         IF LEN(temp$)>8 THEN EXIT FUNCTION
         fil$=temp$
         ext$=""
      ELSE
         IF i%=1 OR i%>9 OR (LEN(temp$)-i%)>3 THEN EXIT FUNCTION
         fil$=MID$(temp$,1,i%-1)
         ext$=MID$(temp$,i%+1)
      END IF
'otherwise, Ok
      VALIDFileName%=-1
   END FUNCTION